# ovalerTisch.py

from grafikfenster import *
from math import radians
from moebel import Moebel

### ---------------------------------------------------
class OvalerTisch(Moebel):
    """Klasse OvalerTisch
    ermoeglicht das Zeichnen und Bearbeiten eines runden
    Tisch-Symbols fuer den Raumplaner"""

    def __init__(self,
                 xPos=70,
                 yPos=210,
                 breite=100,
                 tiefe=60,
                 winkel=0,
                 farbe='red',
                 sichtbar=False):
        Moebel.__init__(self, xPos, yPos, breite, tiefe, winkel, farbe, sichtbar)
        
    def GibFigur(self):
        """definiert und transformiert die zu zeichnende Figur"""
        gc = Zeichenflaeche.GibZeichenflaeche().GibGC()
        path = gc.CreatePath()
        
        b, t = self.GibBreite(), self.GibTiefe()
        path.AddEllipse(0, 0, b, t)
        
        return self.Transformiere(path)

### ---------------------------------------------------
class OvalerTischApp(wx.App):
    """Test-Anwendung speziell fuer Tisch"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global tisch
        tisch=OvalerTisch(sichtbar=True)
        
    def BildExport(self):
        """Export des aktuellen Bilds"""
        Zeichenflaeche.GibZeichenflaeche(self).BildExport("bild.png")
        
### ---------------------------------------------------
if __name__ == '__main__':
    app = OvalerTischApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
